matrix:
  platform:
    - debian11
    - macos_arm64
    - ubuntu2204
    - ubuntu2404
    - windows
  bazel: [8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@zenoh-pico//:zenoh-pico'
bcr_test_module:
  module_path: tests
  matrix:
    linux_platform:
      - debian11
      - ubuntu2204
      - ubuntu2404
    osx_platform:
      - macos_arm64
    windows_platform:
      - windows
    bazel: [8.x, 9.x, rolling]
  tasks:
    run_linux_test_module:
      name: Run linux test module
      platform: ${{ linux_platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
      test_targets:
        - //...
    run_osx_test_module:
      name: Run osx test module
      platform: ${{ osx_platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
      test_targets:
        - //...
        - -//:z_client_test
        - -//:z_tls_verify_test
    run_windows_test_module:
      name: Run windows test module
      platform: ${{ windows_platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
      test_targets:
        - //...
        - -//:z_api_advanced_pubsub_test
        - -//:z_api_alignment_test
        - -//:z_api_cancellation_test
        - -//:z_api_liveliness_test
        - -//:z_api_local_queryable_test
        - -//:z_api_local_subscriber_test
        - -//:z_api_matching_test
        - -//:z_api_queryable_test
        - -//:z_api_scheduler_test
        - -//:z_api_source_info_test
        - -//:z_client_test
        - -//:z_session_test
        - -//:z_tls_verify_test
        - -//:z_wildcard_subscription_test
